Discover Centmin Mod today
Register Now

Beta Branch acmetool.sh 1.0.35 add dual certs and ACME v2 API endpoint supported …

Discussion in 'Centmin Mod Github Commits' started by eva2000, Jan 6, 2018.

  1. eva2000

    eva2000 Administrator Staff Member

    31,638
    7,029
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +10,634
    Local Time:
    1:26 AM
    Nginx 1.13.x
    MariaDB 5.5
    acmetool.sh 1.0.35 add dual certs and ACME v2 API endpoint supported acme.sh

    - letsencrypt wildcard ssl certs not fully working yet via addons/acmetool.sh this is just preparation updates for it first
    - acme.sh has experimental support for new ACME v2 API endpoint for staging test wildcard support preparation (disabled by default)
    - add dual RSA + ECDSA ssl cert support experimental and disabled by default as currently undergoing testing privately
    - both features can be enabled via persistent config files either set in /etc/centminmod/acmetool-config.ini or /etc/centminmod/custom_config.inc variables
    Code (Text):
    LETSENCRYPT_DETECT='y'
    DUALCERTS='y'
    ACMETWO_API='y'
    

    and then doing an acme.sh update via addons/acmetool.sh acmeupdate command
    Code (Text):
    ./acmetool.sh acmeupdate
    

    Continue reading...

    123.09beta01 branch
     
    • Winner Winner x 1